> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Locations

> Search locations by keyword



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/search-locations
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/search-locations:
    get:
      tags:
        - Location
      summary: Search Locations
      description: Search locations by keyword
      operationId: Search_Locations
      parameters:
        - name: keyword
          in: query
          required: true
          schema:
            type: string
            default: berlin
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_linkedin_search_locations_Response'
              example:
                success: true
                message: ''
                data:
                  items:
                    - id: urn:li:geo:103035651
                      name: Berlin, Germany
                    - id: urn:li:geo:106967730
                      name: Berlin, Berlin, Germany
                    - id: urn:li:geo:90009712
                      name: Berlin Metropolitan Area
                    - id: urn:li:geo:101283667
                      name: Stadt Berlin, Berlin, Germany
                    - id: urn:li:geo:105506608
                      name: Berlin, Connecticut, United States
                    - id: urn:li:geo:107184029
                      name: Berlin, Maryland, United States
                    - id: urn:li:geo:107096287
                      name: Berlin, New Jersey, United States
                    - id: urn:li:geo:105606863
                      name: Berlin, New Hampshire, United States
                    - id: urn:li:geo:101301095
                      name: 10115, Berlin, Berlin, Germany
                    - id: urn:li:geo:110428803
                      name: Berlin, Wisconsin, United States
                    - id: urn:li:geo:104944500
                      name: 10178, Berlin, Berlin, Germany
                    - id: urn:li:geo:101862986
                      name: 10117, Berlin, Berlin, Germany
                    - id: urn:li:geo:102207106
                      name: 14057, Berlin, Berlin, Germany
                    - id: urn:li:geo:101246887
                      name: Berlin, Massachusetts, United States
                    - id: urn:li:geo:100522964
                      name: Berlin, Pennsylvania, United States
                    - id: urn:li:geo:103161081
                      name: 10405, Berlin, Berlin, Germany
                    - id: urn:li:geo:106872105
                      name: 10179, Berlin, Berlin, Germany
                    - id: urn:li:geo:101638445
                      name: New Berlin, Wisconsin, United States
                    - id: urn:li:geo:102483684
                      name: 10119, Berlin, Berlin, Germany
                    - id: urn:li:geo:105259835
                      name: 10437, Berlin, Berlin, Germany
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_search_locations_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            items:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````